Jump to content
gehelem

ALS - Astro Live Stacker

Recommended Posts

Oui, elle met une plombe... et en plus... je viens d'aller chercher un ventilateur pour refroidir le RaspBerry, car si-non c'est plus une plombe qu'il met, mais 2 plombes!!! 😉

 

JM

 

Share this post


Link to post
Share on other sites

J'ai fait le:

pip3 install wheel 

qui c'est exécuté correctement...

Puis, j'ai relancé la commande:

pip3 install astropy numpy tqdm watchdog astroalign

qui s'est terminé par une erreur:

#warning "Using deprecated NumPy API, disable it with

En cherchant sur le web, j'ai trouvé des infos pour installer le paquet python3-numpy... et la commande suivante:

sudo apt install python3-numpy

m'informe que le paquet python3-numpy est déjà installé...

J'ai donc décidé de lancer cette commande:

pip3 install astropy tqdm watchdog astroalign

sans le numpy... là ça mouline!

 

JM

 

Share this post


Link to post
Share on other sites

Donc suite de cette commande:

pip3 install astropy tqdm watchdog astroalign

il y a eu une erreur... Pillow qui ne s'installait pas à cause d'une dépendance jpg...

J'ai donc fait cette commande:

sudo apt install libjpeg9 libjpeg9-dev

suivie de celle-ci:

pip3 install Pillow

et là,  Pillow c'est installé correctement!

J'ai donc relancé ma commande:

pip3 install astropy tqdm watchdog astroalign

Ça mouline!

 

JM

Share this post


Link to post
Share on other sites

Merci d'essuyer les plâtre du coup.

 

Pourquoi ça met une plombe et que tu doit installer plein de truc c'est juste du au fait que python soit obliger de reconstruire toute les bibliothèques pour arm car il n'y a pour l'instant pas de version pré-compilé pour arm.

 

De mon côté j'ai fait quelque teste hier sur arm64 (la tinkerboard est en arm32) mais j'ai pas encore eu le temps d'installer toute les dépendances.

 

Le problème qui peut ce posé sur la tinkerboard c'est peut être un problème de RAM avec als qui en demanderais trop si les images vienne de reflex.

Pour info, als beta qui est compatible avec les raw de reflex, travaille avec des images debayerisé du coup on passe par exemple d'une image de 20mo en raw a 120mo en debayerisé (séparation des couleurs et passage a une vrai 16bit)

Edited by dragonlost

Share this post


Link to post
Share on other sites

Bon, suite de cette commande:

pip3 install astropy tqdm watchdog astroalign

J'ai toujours une erreur:

#warning "Using deprecated NumPy API, disable it with " \

Plus de détails sur la fin du log:

    In file included from /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/ndarraytypes.h:1822:0,
                     from /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/ndarrayobject.h:12,
                     from scipy/sparse/sparsetools/sparsetools.h:5,
                     from scipy/sparse/sparsetools/csr.cxx:4:
    /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h:17:2: warning: #warning "Using deprecated NumPy API, disable it with " "#define NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION" [-Wcpp]
     #warning "Using deprecated NumPy API, disable it with " \
      ^~~~~~~
    In file included from /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/ndarraytypes.h:1822:0,
                     from /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/ndarrayobject.h:12,
                     from scipy/sparse/sparsetools/sparsetools.h:5,
                     from scipy/sparse/sparsetools/bsr.cxx:4:
    /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h:17:2: warning: #warning "Using deprecated NumPy API, disable it with " "#define NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION" [-Wcpp]
     #warning "Using deprecated NumPy API, disable it with " \
      ^~~~~~~
    In file included from /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/ndarraytypes.h:1822:0,
                     from /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/ndarrayobject.h:12,
                     from scipy/sparse/sparsetools/sparsetools.h:5,
                     from scipy/sparse/sparsetools/csc.cxx:4:
    /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h:17:2: warning: #warning "Using deprecated NumPy API, disable it with " "#define NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION" [-Wcpp]
     #warning "Using deprecated NumPy API, disable it with " \
      ^~~~~~~
    arm-linux-gnueabihf-g++: internal compiler error: Processus arrêté (program cc1plus)
    Please submit a full bug report,
    with preprocessed source if appropriate.
    See <file:///usr/share/doc/gcc-7/README.Bugs> for instructions.
    arm-linux-gnueabihf-g++: internal compiler error: Processus arrêté (program cc1plus)
    Please submit a full bug report,
    with preprocessed source if appropriate.
    See <file:///usr/share/doc/gcc-7/README.Bugs> for instructions.
    error: Command "arm-linux-gnueabihf-g++ -pthread -DNDEBUG -g -fwrapv -O2 -Wall -g -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -D__STDC_FORMAT_MACROS=1 -Iscipy/sparse/sparsetools -I/home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include -I/usr/include/python3.6m -c scipy/sparse/sparsetools/csr.cxx -o build/temp.linux-armv7l-3.6/scipy/sparse/sparsetools/csr.o -MMD -MF build/temp.linux-armv7l-3.6/scipy/sparse/sparsetools/csr.o.d" failed with exit status 4
    
    ----------------------------------------
Command "/usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-kfpr1o1b/scipy/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-unjtq8ll-record/install-record.txt --single-version-externally-managed --compile --user --prefix=" failed with error code 1 in /tmp/pip-build-kfpr1o1b/scipy/

Là je crois que je suis coincé!

 

Si vous avez des idées ??

 

JM

 

 

 

 

Share this post


Link to post
Share on other sites
Il y a 9 heures, pti-jean a dit :

Bon, suite de cette commande:


pip3 install astropy tqdm watchdog astroalign

J'ai toujours une erreur:


#warning "Using deprecated NumPy API, disable it with " \

Plus de détails sur la fin du log:


    In file included from /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/ndarraytypes.h:1822:0,
                     from /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/ndarrayobject.h:12,
                     from scipy/sparse/sparsetools/sparsetools.h:5,
                     from scipy/sparse/sparsetools/csr.cxx:4:
    /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h:17:2: warning: #warning "Using deprecated NumPy API, disable it with " "#define NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION" [-Wcpp]
     #warning "Using deprecated NumPy API, disable it with " \
      ^~~~~~~
    In file included from /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/ndarraytypes.h:1822:0,
                     from /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/ndarrayobject.h:12,
                     from scipy/sparse/sparsetools/sparsetools.h:5,
                     from scipy/sparse/sparsetools/bsr.cxx:4:
    /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h:17:2: warning: #warning "Using deprecated NumPy API, disable it with " "#define NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION" [-Wcpp]
     #warning "Using deprecated NumPy API, disable it with " \
      ^~~~~~~
    In file included from /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/ndarraytypes.h:1822:0,
                     from /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/ndarrayobject.h:12,
                     from scipy/sparse/sparsetools/sparsetools.h:5,
                     from scipy/sparse/sparsetools/csc.cxx:4:
    /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h:17:2: warning: #warning "Using deprecated NumPy API, disable it with " "#define NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION" [-Wcpp]
     #warning "Using deprecated NumPy API, disable it with " \
      ^~~~~~~
    arm-linux-gnueabihf-g++: internal compiler error: Processus arrêté (program cc1plus)
    Please submit a full bug report,
    with preprocessed source if appropriate.
    See <file:///usr/share/doc/gcc-7/README.Bugs> for instructions.
    arm-linux-gnueabihf-g++: internal compiler error: Processus arrêté (program cc1plus)
    Please submit a full bug report,
    with preprocessed source if appropriate.
    See <file:///usr/share/doc/gcc-7/README.Bugs> for instructions.
    error: Command "arm-linux-gnueabihf-g++ -pthread -DNDEBUG -g -fwrapv -O2 -Wall -g -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -D__STDC_FORMAT_MACROS=1 -Iscipy/sparse/sparsetools -I/home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include -I/usr/include/python3.6m -c scipy/sparse/sparsetools/csr.cxx -o build/temp.linux-armv7l-3.6/scipy/sparse/sparsetools/csr.o -MMD -MF build/temp.linux-armv7l-3.6/scipy/sparse/sparsetools/csr.o.d" failed with exit status 4
    
    ----------------------------------------
Command "/usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-kfpr1o1b/scipy/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-unjtq8ll-record/install-record.txt --single-version-externally-managed --compile --user --prefix=" failed with error code 1 in /tmp/pip-build-kfpr1o1b/scipy/

Là je crois que je suis coincé!

 

Si vous avez des idées ??

 

JM

 

 

 

 

Pourrait tu tenté : sudo apt install python3-scipy

Share this post


Link to post
Share on other sites

Salut dragonlost,

 

Il y a 22 heures, dragonlost a dit :

Pourrait tu tenté : sudo apt install python3-scipy 

 

J'ai fait ta commande, qui s'est déroulé correctement...

Puis j'ai retenté ma commande:

pip3 install astropy tqdm watchdog astroalign

Apparemment ça semble avoir rien changé... voila la fin du log:

    C compiler: arm-linux-gnueabihf-g++ -pthread -DNDEBUG -g -fwrapv -O2 -Wall -g -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC
    
    compile options: '-D__STDC_FORMAT_MACROS=1 -Iscipy/sparse/sparsetools -I/home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include -I/usr/include/python3.6m -c'
    arm-linux-gnueabihf-g++: scipy/sparse/sparsetools/csr.cxx
    arm-linux-gnueabihf-g++: scipy/sparse/sparsetools/bsr.cxx
    In file included from /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/ndarraytypes.h:1822:0,
                     from /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/ndarrayobject.h:12,
                     from scipy/sparse/sparsetools/sparsetools.h:5,
                     from scipy/sparse/sparsetools/bsr.cxx:4:
    /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h:17:2: warning: #warning "Using deprecated NumPy API, disable it with " "#define NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION" [-Wcpp]
     #warning "Using deprecated NumPy API, disable it with " \
      ^~~~~~~
    In file included from /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/ndarraytypes.h:1822:0,
                     from /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/ndarrayobject.h:12,
                     from scipy/sparse/sparsetools/sparsetools.h:5,
                     from scipy/sparse/sparsetools/csr.cxx:4:
    /home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h:17:2: warning: #warning "Using deprecated NumPy API, disable it with " "#define NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION" [-Wcpp]
     #warning "Using deprecated NumPy API, disable it with " \
      ^~~~~~~
    arm-linux-gnueabihf-g++: internal compiler error: Processus arrêté (program cc1plus)
    Please submit a full bug report,
    with preprocessed source if appropriate.
    See <file:///usr/share/doc/gcc-7/README.Bugs> for instructions.
    arm-linux-gnueabihf-g++: internal compiler error: Processus arrêté (program cc1plus)
    Please submit a full bug report,
    with preprocessed source if appropriate.
    See <file:///usr/share/doc/gcc-7/README.Bugs> for instructions.
    error: Command "arm-linux-gnueabihf-g++ -pthread -DNDEBUG -g -fwrapv -O2 -Wall -g -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -D__STDC_FORMAT_MACROS=1 -Iscipy/sparse/sparsetools -I/home/jean-marc/.local/lib/python3.6/site-packages/numpy/core/include -I/usr/include/python3.6m -c scipy/sparse/sparsetools/csr.cxx -o build/temp.linux-armv7l-3.6/scipy/sparse/sparsetools/csr.o -MMD -MF build/temp.linux-armv7l-3.6/scipy/sparse/sparsetools/csr.o.d" failed with exit status 4
    
    ----------------------------------------
Command "/usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-xx9z9ptu/scipy/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-1et3sxso-record/install-record.txt --single-version-externally-managed --compile --user --prefix=" failed with error code 1 in /tmp/pip-build-xx9z9ptu/scipy/

 

JM

 

Share this post


Link to post
Share on other sites

Salut Dragonlost et Gehelem

Je viens d'essayer sous Ubuntu Mate 64bits par dépôt de fit manuel dans le répertoire de scan, çà marche nickel !

Encore un super boulot, bravo à tous les deux  ! Dés que la normalisation de l'image stackée sera implémentée, j'y vois déjà un intérêt énorme.

Par exemple nous recevons régulièrement du public à notre club, notamment des jeunes, ce sera la possibilité de leur monter "facilement" un objet du ciel profond  (un peu comme du visuel assisté) difficile à voir en visuel, sans parler de pouvoir suivre ses acquisitions en live sur le terrain. J'attends la suite avec impatience 🙂. Et peut-être une intégration dans Kstars ?

 Fred

Share this post


Link to post
Share on other sites
Le 30/06/2019 à 17:49, kope2008 a dit :

Salut Dragonlost et Gehelem

Je viens d'essayer sous Ubuntu Mate 64bits par dépôt de fit manuel dans le répertoire de scan, çà marche nickel !

Encore un super boulot, bravo à tous les deux  ! Dés que la normalisation de l'image stackée sera implémentée, j'y vois déjà un intérêt énorme.

Par exemple nous recevons régulièrement du public à notre club, notamment des jeunes, ce sera la possibilité de leur monter "facilement" un objet du ciel profond  (un peu comme du visuel assisté) difficile à voir en visuel, sans parler de pouvoir suivre ses acquisitions en live sur le terrain. J'attends la suite avec impatience 🙂. Et peut-être une intégration dans Kstars ?

 Fred

 

si tu utilise la moyenne tu as déjà quelque chose de très proche de la normalisation.

Share this post


Link to post
Share on other sites
Le 21/05/2019 à 21:48, supaii a dit :

magnifique ce que vous avez fait.

 

je viens de tester, mais ca plante .

j'ai pris des images que j avais fait il y a quelques temps (5min de pose, 40Mo/image)

j attend bien le retour du terminal avant d'en copier une nouvelle.

Cela dit ceci peu venir (surement) de ma bête de course (amd turion X2)!pomoi!

 

 

Capture du 2019-05-21 21-41-34.png

Hello

La correction de ce problème a été apportée sur la branche 'alpha'

 

Testé chez moi : OK

Mais toujours preneur d'un test grandeur nature

 

 

 

Share this post


Link to post
Share on other sites

bonjour à tous,

 

Allons droit au but :

Une nouvelle version est sortie. ça va dépoter les gars, vous allez m'en dire des nouvelles.

@deufrai ici présent s'est investi corps, âme, sang, sueur et bières pour faire passer ce projet sur une échelle -comment dire- plus échelonnée :

  • Structuration du code façon pro de chez pro
  • Ergonomie
  • Stabilisation et robustification
  • Nouvelles fonctionnalités

Comme preuve, le petit site qu'il a mis en place directement branché tout en automatique avec Github façon puzzle :

https://als-app.org/index.html

 

image.thumb.png.44769610f80a3c8f795ccfc1fa0f3abc.png

 

(bon, moi la tête de cheval à l'envers j'aimais pas trop, mais on s'y fait)

 

Donc par rapport aux versions précédentes, nous avons ceci :

image.png.acef3faab57e1b9e68e6573c6a7a0568.png

 

Oui, tout est en anglais.

 

Ce qu'on n'y voit pas (j'insiste), c'est l'énorme travail fait par @deufrai pour que le code soit robuste.

Les stacks sont faits dans des process dédiés, ce qui permet de ne pas bloquer l'interface comme auparavant.

Je passe sur l'interface utilisateur, elle cause d'elle même.

 

Nous avons encore plein d'autres idées, elle sont consignées sur mon Github (voir les "issues")

https://github.com/gehelem/als

N'hésitez pas à aller y faire un tour pour :

- déclarer des bugs (il y en aura forcément)

- soumettre des idées de trucs qu'on pourrait essayer de faire

 

Le fichier Readme explique bien quelles manips il faut faire pour l'utiliser :

on est encore dans une phase ou il faut faire quelques bricoles pour installer,

mais ça fait partie des sujets ouverts ça viendra un jour.

 

Dès que la météo le permet, je ferai une petite vidéo pour montrer en vrai c'est plus parlant.

 

Voilà, à vous de jouer :

On a quand même pas mal testé, mais on est forcément passé à coté de certaines choses

 

Quand je dis "on" ou "nous", je dis @dragonlost @dolguldur @deufrai et aussi @Steffou

Merci à tous les 4, j'ai bu des bières avec chacun d'entre vous, ce serait bien qu'on arrive à boire des bières tous ensemble 🙂

(ou du cidre, hein...)

 

Gilles.

  • Merci / Quelle qualité! 2

Share this post


Link to post
Share on other sites

Pour ceux qui se demandent sur quoi ça tourne.

Ca a été testé sur du PC, évidemment... mais aussi sur une carte type RaspberryPi mais en plus péchue, la Up! Board. 4Go de ram, intel atom x5 quad core. sous linux.

Ca tourne sans broncher.

 

Donc essentiellement testés sur architectures x86/64

Edited by Steffou

Share this post


Link to post
Share on other sites

C'est joli ! J'en ai pas besoin, mais bravo pour cet effort ! C'est clair que c'est mieux comme ça qu'en essayant de bricoler avec siril ou autre...

 

Et une fois de plus, la France va fournir un logiciel de référence aux astronomes amateurs du monde entier :)

  • J'aime 2

Share this post


Link to post
Share on other sites
Il y a 7 heures, vinvin a dit :

C'est joli ! J'en ai pas besoin, mais bravo pour cet effort ! C'est clair que c'est mieux comme ça qu'en essayant de bricoler avec siril ou autre...

 

Et une fois de plus, la France va fournir un logiciel de référence aux astronomes amateurs du monde entier :)

Merci

Et en plus on apprend plein de trucs !

Share this post


Link to post
Share on other sites

Une question idiote: APrès l'install pas à pas j'ai bien lancé ASL. Mais lorsque je redémarre la machine, comment fait-on ? Il faut ré installer le virtual python ?

Share this post


Link to post
Share on other sites

Hello

Une fois le venv créé, il faut juste le réactiver au besoin si tu quittes ton terminal ou rebootes ta machine

C'est fait avec la commande :

$ source ./venv/bin/activate

à lancer depuis le répertoire parent des sources. Celui où se trouve le fichier README.rst (par exemple)

 

Share this post


Link to post
Share on other sites

Excellent, bravo à tous!

Je viens de faire un petit essai en lui envoyant des images du mois dernier et ça marche super bien.

Le VA n'est pas trop mon truc mais ça me semble idéal pour avoir une idée de ce qu'on est en train d'enregistrer. Jusqu'à présent je rapatriais les images dans PI pour faire un stack rapide mais là ça va être beaucoup plus simple.

Merci!

 

Patrick

  • J'aime 3

Share this post


Link to post
Share on other sites

merci pour ce retour @pch

tu peux pousser encore un peu le truc : tu créés un hotspot sur ta machine, tu démarres le serveur sur ALS, et tu peux surveiller le déroulement du stack sur ton smartphone

Share this post


Link to post
Share on other sites

un peu de test...

image.thumb.png.fbd9eafb792016f2217c015f13818f73.png

unknown.png?width=400&height=224

 

unknown.png?width=400&height=224

unknown.png?width=400&height=224

 

unknown.png?width=400&height=224

unknown.png?width=400&height=224

 

unknown.png?width=400&height=224

unknown.png?width=400&height=224

 

 

image.png

Edited by supaii
  • J'aime 1

Share this post


Link to post
Share on other sites

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.